Skip to main content
DELETE
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
/
agents
/
{agentId}
/
tasks
/
{taskId}
Delete Agent Task
curl --request DELETE \
  --url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/agents/{agentId}/tasks/{taskId}
{
  "success": true,
  "timestamp": "2025-04-17T14:23:30Z",
  "message": "<string>",
  "data": null,
  "traceId": "<string>"
}

Path Parameters

vendorId
string
required

ID of the Vendor (UUID)

organizationId
string
required

ID of the Organization (UUID)

agentId
string
required

ID of the Agent (UUID)

taskId
string
required

ID of the Task (UUID)

Response

Agent task deleted successfully

Standard API response wrapper

success
boolean
required

Indicates if the request was successful

Example:

true

timestamp
string<date-time>
required

Response timestamp in ISO-8601 format

Example:

"2025-04-17T14:23:30Z"

message
string

Human-readable message

data
any

Payload data object

Example:

null

traceId
string

Correlation or trace ID